Set organization settings
curl --request PUT \
--url https://api.coreweave.com/v1/cwobject/organization/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"settings": {
"controlPlaneAuditLoggingEnabled": true,
"bucketAuditLoggingEnabled": true
}
}
'import requests
url = "https://api.coreweave.com/v1/cwobject/organization/settings"
payload = { "settings": {
"controlPlaneAuditLoggingEnabled": True,
"bucketAuditLoggingEnabled": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
settings: {controlPlaneAuditLoggingEnabled: true, bucketAuditLoggingEnabled: true}
})
};
fetch('https://api.coreweave.com/v1/cwobject/organization/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"settings": {
"controlPlaneAuditLoggingEnabled": true,
"bucketAuditLoggingEnabled": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Set organization settings
Configure organization-wide AI Object Storage settings.
PUT
/
v1
/
cwobject
/
organization
/
settings
Set organization settings
gRPC method: SetOrganizationSettings
- The API server is
https://api.coreweave.com. - Replace
{API_ACCESS_TOKEN}with your CoreWeave API access token. - For required permissions, see IAM Access Policies.
data.json
{
"settings": {
"controlPlaneAuditLoggingEnabled": true,
"bucketAuditLoggingEnabled": true
}
}
Example request
curl -X PUT https://api.coreweave.com/v1/cwobject/organization/settings \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {API_ACCESS_TOKEN}" \
-d @data.json
Authorizations
CoreWeave API access token sent as a bearer token in the Authorization header (the value is prefixed with Bearer). Used by every operation except the SAML/OIDC token-exchange endpoints (anonymous) and the container credentials GET (which uses ContainerCredentialsAuth).
Body
application/json
Inputs for configuring organization-wide AI Object Storage settings.
The new organization settings to apply.
Show child attributes
Show child attributes
Response
OK
The organization settings after the update is applied.
The organization settings now in effect.
Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I